##########################################################################
########################## PLACEMENT CONSTRAINTS #########################
##########################################################################

set_property PACKAGE_PIN G21 [get_ports clock_i];
set_property IOSTANDARD LVCMOS25 [get_ports clock_i];

##########################################################################
### BANK 66 (1.8V)
##########################################################################

set_property PACKAGE_PIN Y2 [get_ports reset_i];
set_property IOSTANDARD LVCMOS18 [get_ports reset_i];

##########################################################################

set_property PACKAGE_PIN Y1 [get_ports enable_i];
set_property IOSTANDARD LVCMOS18 [get_ports enable_i];

##########################################################################

set_property PACKAGE_PIN V2 [get_ports init_fifo_o];
set_property IOSTANDARD LVCMOS18 [get_ports init_fifo_o];

##########################################################################

set_property PACKAGE_PIN V1 [get_ports image_start_o];
set_property IOSTANDARD LVCMOS18 [get_ports image_start_o];

##########################################################################

set_property PACKAGE_PIN W2 [get_ports valid_data_o];
set_property IOSTANDARD LVCMOS18 [get_ports valid_data_o];

##########################################################################

set_property PACKAGE_PIN W1 [get_ports image_end_o];
set_property IOSTANDARD LVCMOS18 [get_ports image_end_o];

##########################################################################

set_property PACKAGE_PIN AC12 [get_ports data_s0_i[0]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[0]];
set_property PACKAGE_PIN AC11 [get_ports data_s0_i[1]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[1]];
set_property PACKAGE_PIN AB11 [get_ports data_s0_i[2]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[2]];
set_property PACKAGE_PIN AB10 [get_ports data_s0_i[3]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[3]];
set_property PACKAGE_PIN AA11 [get_ports data_s0_i[4]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[4]];
set_property PACKAGE_PIN AA10 [get_ports data_s0_i[5]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[5]];
set_property PACKAGE_PIN AB9 [get_ports data_s0_i[6]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[6]];
set_property PACKAGE_PIN AC9 [get_ports data_s0_i[7]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[7]];
set_property PACKAGE_PIN Y12 [get_ports data_s0_i[8]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[8]];
set_property PACKAGE_PIN AA12 [get_ports data_s0_i[9]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[9]];
set_property PACKAGE_PIN Y10 [get_ports data_s0_i[10]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[10]];
set_property PACKAGE_PIN Y9 [get_ports data_s0_i[11]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[11]];
set_property PACKAGE_PIN AC7 [get_ports data_s0_i[12]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[12]];
set_property PACKAGE_PIN AC6 [get_ports data_s0_i[13]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[13]];
set_property PACKAGE_PIN AB8 [get_ports data_s0_i[14]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[14]];
set_property PACKAGE_PIN AC8 [get_ports data_s0_i[15]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[15]];
set_property PACKAGE_PIN W7 [get_ports data_s0_i[16]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[16]];
set_property PACKAGE_PIN W6 [get_ports data_s0_i[17]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[17]];
set_property PACKAGE_PIN AB6 [get_ports data_s0_i[18]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[18]];
set_property PACKAGE_PIN AB5 [get_ports data_s0_i[19]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[19]];
set_property PACKAGE_PIN W5 [get_ports data_s0_i[20]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[20]];
set_property PACKAGE_PIN W4 [get_ports data_s0_i[21]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[21]];
set_property PACKAGE_PIN AB4 [get_ports data_s0_i[22]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[22]];
set_property PACKAGE_PIN AC4 [get_ports data_s0_i[23]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[23]];
set_property PACKAGE_PIN V4 [get_ports data_s0_i[24]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[24]];
set_property PACKAGE_PIN V3 [get_ports data_s0_i[25]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[25]];
set_property PACKAGE_PIN U5 [get_ports data_s0_i[26]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[26]];
set_property PACKAGE_PIN U4 [get_ports data_s0_i[27]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[27]];
set_property PACKAGE_PIN AC2 [get_ports data_s0_i[28]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[28]];
set_property PACKAGE_PIN AC1 [get_ports data_s0_i[29]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[29]];
set_property PACKAGE_PIN AB3 [get_ports data_s0_i[30]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[30]];
set_property PACKAGE_PIN AC3 [get_ports data_s0_i[31]];
set_property IOSTANDARD LVCMOS18 [get_ports data_s0_i[31]];

##########################################################################
### BANKS 64 AND 65 (1.8V)
##########################################################################

set_property PACKAGE_PIN AJ12 [get_ports output_data_o[0]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[0]];
set_property PACKAGE_PIN AK12 [get_ports output_data_o[1]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[1]];
set_property PACKAGE_PIN AL11 [get_ports output_data_o[2]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[2]];
set_property PACKAGE_PIN AM11 [get_ports output_data_o[3]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[3]];
set_property PACKAGE_PIN AL10 [get_ports output_data_o[4]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[4]];
set_property PACKAGE_PIN AM10 [get_ports output_data_o[5]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[5]];
set_property PACKAGE_PIN AP11 [get_ports output_data_o[6]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[6]];
set_property PACKAGE_PIN AP10 [get_ports output_data_o[7]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[7]];
set_property PACKAGE_PIN AN9 [get_ports output_data_o[8]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[8]];
set_property PACKAGE_PIN AP9 [get_ports output_data_o[9]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[9]];
set_property PACKAGE_PIN AJ10 [get_ports output_data_o[10]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[10]];
set_property PACKAGE_PIN AK10 [get_ports output_data_o[11]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[11]];
set_property PACKAGE_PIN AN8 [get_ports output_data_o[12]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[12]];
set_property PACKAGE_PIN AP8 [get_ports output_data_o[13]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[13]];
set_property PACKAGE_PIN AM9 [get_ports output_data_o[14]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[14]];
set_property PACKAGE_PIN AM8 [get_ports output_data_o[15]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[15]];
set_property PACKAGE_PIN AJ9 [get_ports output_data_o[16]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[16]];
set_property PACKAGE_PIN AK9 [get_ports output_data_o[17]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[17]];
set_property PACKAGE_PIN AN7 [get_ports output_data_o[18]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[18]];
set_property PACKAGE_PIN AP7 [get_ports output_data_o[19]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[19]];
set_property PACKAGE_PIN AP5 [get_ports output_data_o[20]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[20]];
set_property PACKAGE_PIN AP4 [get_ports output_data_o[21]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[21]];
set_property PACKAGE_PIN AN6 [get_ports output_data_o[22]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[22]];
set_property PACKAGE_PIN AP6 [get_ports output_data_o[23]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[23]];
set_property PACKAGE_PIN AM4 [get_ports output_data_o[24]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[24]];
set_property PACKAGE_PIN AN4 [get_ports output_data_o[25]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[25]];
set_property PACKAGE_PIN AK5 [get_ports output_data_o[26]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[26]];
set_property PACKAGE_PIN AK4 [get_ports output_data_o[27]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[27]];
set_property PACKAGE_PIN AN2 [get_ports output_data_o[28]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[28]];
set_property PACKAGE_PIN AP2 [get_ports output_data_o[29]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[29]];
set_property PACKAGE_PIN AN3 [get_ports output_data_o[30]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[30]];
set_property PACKAGE_PIN AP3 [get_ports output_data_o[31]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[31]];
set_property PACKAGE_PIN AM1 [get_ports output_data_o[32]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[32]];
set_property PACKAGE_PIN AN1 [get_ports output_data_o[33]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[33]];
set_property PACKAGE_PIN AL3 [get_ports output_data_o[34]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[34]];
set_property PACKAGE_PIN AL2 [get_ports output_data_o[35]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[35]];
set_property PACKAGE_PIN AK1 [get_ports output_data_o[36]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[36]];
set_property PACKAGE_PIN AL1 [get_ports output_data_o[37]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[37]];
set_property PACKAGE_PIN AK3 [get_ports output_data_o[38]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[38]];
set_property PACKAGE_PIN AK2 [get_ports output_data_o[39]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[39]];
set_property PACKAGE_PIN AE10 [get_ports output_data_o[40]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[40]];
set_property PACKAGE_PIN AF10 [get_ports output_data_o[41]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[41]];
set_property PACKAGE_PIN AH12 [get_ports output_data_o[42]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[42]];
set_property PACKAGE_PIN AH11 [get_ports output_data_o[43]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[43]];
set_property PACKAGE_PIN AE12 [get_ports output_data_o[44]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[44]];
set_property PACKAGE_PIN AF12 [get_ports output_data_o[45]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[45]];
set_property PACKAGE_PIN AF11 [get_ports output_data_o[46]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[46]];
set_property PACKAGE_PIN AG11 [get_ports output_data_o[47]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[47]];
set_property PACKAGE_PIN AG10 [get_ports output_data_o[48]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[48]];
set_property PACKAGE_PIN AG9 [get_ports output_data_o[49]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[49]];
set_property PACKAGE_PIN AD10 [get_ports output_data_o[50]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[50]];
set_property PACKAGE_PIN AE9 [get_ports output_data_o[51]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[51]];
set_property PACKAGE_PIN AH7 [get_ports output_data_o[52]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[52]];
set_property PACKAGE_PIN AH6 [get_ports output_data_o[53]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[53]];
set_property PACKAGE_PIN AG8 [get_ports output_data_o[54]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[54]];
set_property PACKAGE_PIN AH8 [get_ports output_data_o[55]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[55]];
set_property PACKAGE_PIN AD7 [get_ports output_data_o[56]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[56]];
set_property PACKAGE_PIN AD6 [get_ports output_data_o[57]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[57]];
set_property PACKAGE_PIN AE8 [get_ports output_data_o[58]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[58]];
set_property PACKAGE_PIN AF8 [get_ports output_data_o[59]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[59]];
set_property PACKAGE_PIN AH4 [get_ports output_data_o[60]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[60]];
set_property PACKAGE_PIN AJ4 [get_ports output_data_o[61]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[61]];
set_property PACKAGE_PIN AJ6 [get_ports output_data_o[62]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[62]];
set_property PACKAGE_PIN AJ5 [get_ports output_data_o[63]];
set_property IOSTANDARD LVCMOS18 [get_ports output_data_o[63]];