# Lists all source files to be included within the design
# NOTE: The first element from this list will be the top entity

set source_files_list [list \
	[file normalize "${origin_dir}/../TOP/top_ccsds123_issue2.vhd"] \
	[file normalize "${origin_dir}/../TOP/pred_enc_interconn.vhd"] \
	[file normalize "${origin_dir}/../Image/image_coord_control.vhd"] \
	[file normalize "${origin_dir}/../Predictor/top_predictor.vhd"] \
	[file normalize "${origin_dir}/../Predictor/adder/adder.vhd"] \
	[file normalize "${origin_dir}/../Predictor/mapper/top_mapper.vhd"] \
	[file normalize "${origin_dir}/../Predictor/mapper/scaled_diff.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/xtop_prediction.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/dbl_res_pred_error.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/dbl_res_pred_smpl.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/high_res_pred_smpl.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/local_diff_vector.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/local_differences.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/local_sum.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/pred_ctrl_local_diff.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/predicted_sample.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/samples_store.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/shift_register.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/weight_upd_scal_exp.vhd"] \
	[file normalize "${origin_dir}/../Predictor/prediction/weights_vector.vhd"] \
	[file normalize "${origin_dir}/../Predictor/quantizer/top_quantizer.vhd"] \
	[file normalize "${origin_dir}/../Predictor/quantizer/fidelity_ctrl.vhd"] \
	[file normalize "${origin_dir}/../Predictor/sample_representative/top_sample_representative.vhd"] \
	[file normalize "${origin_dir}/../Predictor/sample_representative/clip_quant_bin_center.vhd"] \
	[file normalize "${origin_dir}/../Predictor/sample_representative/dbl_res_smpl_repr.vhd"] \
	[file normalize "${origin_dir}/../Encoder/top_encoder.vhd"] \
	[file normalize "${origin_dir}/../Encoder/header/top_enc_header.vhd"] \
	[file normalize "${origin_dir}/../Encoder/header/metadata_img.vhd"] \
	[file normalize "${origin_dir}/../Encoder/header/metadata_pred.vhd"] \
	[file normalize "${origin_dir}/../Encoder/header/metadata_encod.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/top_enc_body.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/sample_adaptive_coder/smpl_adap_wrapper.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/sample_adaptive_coder/smpl_adap_statistic.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/sample_adaptive_coder/smpl_adap_gpo2_code.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/hybrid_coder/hybrid_wrapper.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/hybrid_coder/hybrid_statistic.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/hybrid_coder/hybrid_high_entr_code.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/hybrid_coder/hybrid_low_entr_code.vhd"] \
	[file normalize "${origin_dir}/../Encoder/body/hybrid_coder/hybrid_compr_img_tail.vhd"] \
	[file normalize "${origin_dir}/../Encoder/packer/top_packer.vhd"] \
	[file normalize "${origin_dir}/../Encoder/packer/parallel_sync_fifos.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/gen_labels.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/param_image.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/supl_info_tables.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/types_image.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/utils_image.vhd"] \
	[file normalize "${origin_dir}/../Image/_packages/comp_image.vhd"] \
	[file normalize "${origin_dir}/../Predictor/_packages/param_predictor.vhd"] \
	[file normalize "${origin_dir}/../Predictor/_packages/error_limit_values_table.vhd"] \
	[file normalize "${origin_dir}/../Predictor/_packages/types_predictor.vhd"] \
	[file normalize "${origin_dir}/../Predictor/_packages/utils_predictor.vhd"] \
	[file normalize "${origin_dir}/../Predictor/_packages/comp_predictor.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/param_encoder.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/hybrid_code_tables.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/hybrid_flush_tables.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/types_encoder.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/utils_encoder.vhd"] \
	[file normalize "${origin_dir}/../Encoder/_packages/comp_encoder.vhd"] \
]